datablock WheeledVehicleSpring(Emperor80lowspring)
{
	length = 0.1;
	force = 3500;
	damping = 400;
	antiSwayForce = 0;
};

datablock WheeledVehicleSpring(Emperor80medspring)
{
	length = 0.4;
	force = 5000;
	damping = 1000;
	antiSwayForce = 0;
};

datablock WheeledVehicleSpring(Emperor80highspring)
{
	length = 0.6;
	force = 5000;
	damping = 1000;
	antiSwayForce = 0;
};

datablock WheeledVehicleSpring(Emperor80jumpspring)
{
	length = 0.8;
	force = 12000;
	damping = 1500;
	antiSwayForce = 0;
};

function emperor80lowridervehicle::shiftBrickCarControls(%this, %veh, %client, %node, %input, %super)
{
	// %veh.hidenode(rhand); %veh.hidenode(lhand);

	%low = "emperor80lowspring";
	%med = "emperor80medspring";
	%jump = "emperor80jumpspring";
	%high = "emperor80highspring";
	if(%node != 0) return;

	switch(%input)
	{
		case 0:

		case 1:
				%veh.setwheelspring(2, %jump);

		case 2:
			if(%super)
			{
				%veh.setwheelspring(2, %jump);
				%veh.setwheelspring(3, %jump);
					
				%veh.schedule(100, setWheelSpring, 2, %med);
				%veh.schedule(100, setWheelSpring, 3, %med);
			}
			else
			{
				%veh.setwheelspring(2, %high);
				%veh.setwheelspring(3, %high);
			}

		case 3:
			%veh.setwheelspring(3, %jump);

		case 4:
			if(%super)
			{
				%veh.setwheelspring(0, %jump);
				%veh.setwheelspring(2, %jump);
					
				%veh.schedule(100, setWheelSpring, 0, %med);
				%veh.schedule(100, setWheelSpring, 2, %med);
			}
			else
			{
				%veh.setwheelspring(0, %high);
				%veh.setwheelspring(2, %high);
			}

		case 5:
			if(%super)
			{
				for(%i = 0; %i < 4; %i++)
				{
					%veh.setwheelspring(%i, %med);//////////////////
				}
			}
			else
			{
				for(%i = 0; %i < 4; %i++)
				{
					%veh.setwheelspring(%i, %low);///////////////
				}
			}

		case 6:
			if(%super)
			{
				%veh.setwheelspring(1, %jump);
				%veh.setwheelspring(3, %jump);
					
				%veh.schedule(100, setWheelSpring, 1, %med);
				%veh.schedule(100, setWheelSpring, 3, %med);
			}
			else
			{
				%veh.setwheelspring(1, %high);
				%veh.setwheelspring(3, %high);
			}

		case 7:
			%veh.setwheelspring(0, %jump);

		case 8:
			if(%super)
			{
				%veh.setwheelspring(0, %jump);
				%veh.setwheelspring(1, %jump);
					
				%veh.schedule(100, setWheelSpring, 0, %med);
				%veh.schedule(100, setWheelSpring, 1, %med);
			}
			else
			{
				%veh.setwheelspring(0, %high);
				%veh.setwheelspring(1, %high);
			}

		case 9:
			%veh.setwheelspring(1, %jump);

		case 10:
			if(%super)
			{
				for(%i = 0; %i < 4; %i++)////////////////////////////////
				{
					%veh.setwheelspring(%i, %jump);
					%veh.schedule(100, setWheelSpring, %i, %med);
				}
			}
			else
			{
				for(%i = 0; %i < 4; %i++)
				{
					%veh.setwheelspring(%i, %high);
				}
			}
	}


	// if(%input == 0 && !%super)
	// {
 //        %veh.spawnbrick.carAttributesSet[%this.colorSchemeIdentifier] = false;
	// 	%this.loadSpawnBrickAttributes(%veh);
	// 	// %this.setDefaultBrickAttributes(%veh);
	// }

	//UNCOMMENT THESE LINES TO RESTORE ANIMATED FIRST-PERSON CAMERA FROM RELEASE VIDEO
	// if(%input == 11)
	// {
	// 	%veh.playThread(0, hood1);
	// }

	// if(%super)
	// {
	// 	switch(%input)
	// 	{
	// 		case 2:
	// 			%veh.playThread(0, side1);
	// 		case 4:
	// 			%veh.playThread(0, side2);
	// 		case 5:
	// 			%veh.playThread(0, side3);
	// 		case 6:
	// 			%veh.playThread(0, front1);
	// 		// case 8:
	// 		// case 10:
	// 	}
	// 	return;
	// }

	// if(%input >= 4 && %input <= 6)
	// {
	// 	if(%input == 4) %signal = -1;
	// 	else if(%input == 6) %signal = 1;
	// 	else if(%input == 5) %signal = -11;
		
	// 	if(%veh.signal == %signal)
	// 	{
	// 		return %this.turnsignal(%veh, 0);
	// 	}
	// 	else
	// 	{
	// 		//%this.turnsignal(%veh, 0);
	// 		return %this.turnsignal(%veh, %signal);
	// 	}
	// }
}