function emperor80lowridervehicle::applyParts(%this, %veh, %part)
{
    //announce("applyParts " @ %this);
    if(!isObject(%veh)) return;

    if(%part $= "" || %part $= "all") %applyAll = true; else %applyAll = false;

    //announce("%applyAll is " @ %applyall);


    if(%applyAll || %part $= "body")
    {
        %veh.spawnbrick.bodytype[%this.colorSchemeIdentifier] = %veh.bodytype;
        //announce("hood: " @ %veh.hasTwoDoors);
        switch(%veh.bodytype)
        {
            case 0: //Sedan
                %veh.unhidenode(sedan);
                %veh.unhidenode(sedaninterior);
                %veh.unhidenode(sedanroof);
                %veh.unhidenode(sedantwotone);
                %veh.unhidenode(sedanmetal);
                %veh.unhidenode(sedanwood);

                %veh.hidenode(coupeinterior);
                %veh.hidenode(couperoof);
                %veh.hidenode(coupemetal);

                %veh.hidenode(twodoor);
                %veh.hidenode(twodoorinterior);
                %veh.hidenode(twodoortwotone);
                %veh.hidenode(twodoormetal);
                %veh.hidenode(twodoorwood);

                %veh.hidenode(convertibleinterior);
                %veh.hidenode(convertiblemetal);
                %veh.hidenode(softtop0);
                %veh.hidenode(softtop1);
                %veh.hidenode(softtop1np);


            case 1: //Coupe
                %veh.unhidenode(twodoor);
                %veh.unhidenode(twodoorinterior);
                %veh.unhidenode(twodoortwotone);
                %veh.unhidenode(twodoormetal);
                %veh.unhidenode(twodoorwood);

                %veh.unhidenode(coupeinterior);
                %veh.unhidenode(couperoof);
                %veh.unhidenode(coupemetal);

                %veh.hidenode(sedan);
                %veh.hidenode(sedaninterior);
                %veh.hidenode(sedanroof);
                %veh.hidenode(sedantwotone);
                %veh.hidenode(sedanmetal);
                %veh.hidenode(sedanwood);

                %veh.hidenode(convertibleinterior);
                %veh.hidenode(convertiblemetal);
                %veh.hidenode(softtop0);
                %veh.hidenode(softtop1);
                %veh.hidenode(softtop1np);


            case 2: //Convertible
                %veh.unhidenode(twodoor);
                %veh.unhidenode(twodoorinterior);
                %veh.unhidenode(twodoortwotone);
                %veh.unhidenode(twodoormetal);
                %veh.unhidenode(twodoorwood);

                %veh.unhidenode(convertibleinterior);
                %veh.unhidenode(convertiblemetal);
                if(%veh.roofOpen)
                {
                    %veh.unhidenode(softtop0);
                }
                else
                {
                    %veh.unhidenode(softtop1);
                    %veh.unhidenode(softtop1np);
                }


                %veh.hidenode(coupeinterior);
                %veh.hidenode(couperoof);
                %veh.hidenode(coupemetal);

                %veh.hidenode(sedan);
                %veh.hidenode(sedaninterior);
                %veh.hidenode(sedanroof);
                %veh.hidenode(sedantwotone);
                %veh.hidenode(sedanmetal);
                %veh.hidenode(sedanwood);

        }
    }

    if(%applyAll || %part $= "roof")
    {
        %veh.spawnbrick.roofopen[%this.colorSchemeIdentifier] = %veh.roofopen;
        //announce("roof status: " @ %veh.roofopen);

        if(%veh.bodytype == 2)
        {
            if(%veh.roofOpen)
            {
                %veh.unhidenode(softtop0);
                %veh.hidenode(softtop1);
                %veh.hidenode(softtop1np);
            }
            else
            {
                %veh.hidenode(softtop0);
                %veh.unhidenode(softtop1);
                %veh.unhidenode(softtop1np);
            }
        }
    }
}